import { AnimationTriggerMetadata } from "@angular/animations";
export declare class AnimationCurves {
    static STANDARD_CURVE: string;
    static DECELERATION_CURVE: string;
    static ACCELERATION_CURVE: string;
    static SHARP_CURVE: string;
}
/** @docs-private */
export declare class AnimationDurations {
    static COMPLEX: string;
    static ENTERING: string;
    static EXITING: string;
}
export declare const BackdropAnimations: {
    readonly frontLayerContainer: AnimationTriggerMetadata;
    readonly frontLayerContainerOverlay: AnimationTriggerMetadata;
    readonly backdropButton: AnimationTriggerMetadata;
};
